/*   TPP atropisomerisation rate expressions FOR REDAP       */
/*   for details, see Chem. Lett., p57 (1996)                */


#include <math.h>
extern double dx[],x[],c[],p[];

void function()
  {
   dx[1]=p[1]*(x[3]-4*x[1]);
   dx[2]=2*p[1]*(x[3]-2*x[2]);
   dx[3]=4*p[1]*(x[1]+x[2]+x[4]-x[3])/(1+4*p[2]*x[3]);
   dx[4]=p[1]*(x[3]-4*x[4])/(1+4*p[3]*x[4]);
   dx[5]=(1+4*p[2]*x[3])*dx[3];
   dx[6]=(1+4*p[3]*x[4])*dx[4];
/* x[1];abab , x[2];aabb , x[3];aaab , x[4];aaaa , x[5]; total aaab , x[6];total aaaa */
  }

void function2()
  {                                                       
    x[3]=(-1+sqrt(1+8*p[2]*x[5]))/4/p[2];
    x[4]=(-1+sqrt(1+8*p[3]*x[6]))/4/p[3];
  }  